org.eclipse.gmt.modisco.infra.query.jxpath.query

## Class JXPathModelQueryFactory

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.query.jxpath.query.JXPathModelQueryFactory

All Implemented Interfaces:
  IModelQueryFactory

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public class JXPathModelQueryFactory
    extends java.lang.Object
    implements IModelQueryFactory

### Constructor Summary

Constructors
Constructor and Description
`JXPathModelQueryFactory()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`AbstractModelQuery` `create(ModelQuery modelQuery, Bundle bundle)` Deprecated.
`EClass` `getManagedModelQueryType()` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JXPathModelQueryFactory

    public JXPathModelQueryFactory()

Deprecated.

### Method Detail

#### create

    public AbstractModelQuery create(ModelQuery modelQuery,
                                     Bundle bundle)
                              throws ModelQueryException

Deprecated.

Specified by:
  `create` in interface `IModelQueryFactory`
Throws:
  `ModelQueryException`

#### getManagedModelQueryType

    public EClass getManagedModelQueryType()

Deprecated.

Specified by:
  `getManagedModelQueryType` in interface `IModelQueryFactory`